# Metadata: Information about the package, used by package managers.
[metadata]
name = randvis

# Obtain version and author info from package,
# usually defined in __init__.py
version = attr: randvis.__version__
author = attr: randvis.__author__
author_email = attr: randvis.__email__

# Provide description, long version picked up from file.
description = A random simulation with visualisation
long_description = file: README.md
long_description_content_type = text/markdown

# Homepage for package and specific URLs
url = https://gitlab.com/nmbu.no/emner/inf200/h2022/inf200-course-materials
project_urls =
    Bug Tracker = https://gitlab.com/nmbu.no/emner/inf200/h2022/inf200-course-materials/-/issues

# License information
license = MIT License

# Classifiers, for options, see https://pypi.org/classifiers/
classifiers =
    Programming Language :: Python :: 3
    License :: OSI Approved :: MIT License
    Operating System :: OS Independent
    Development Status :: 4 - Beta
    Environment :: Console
    Intended Audience :: Science/Research
    Topic :: Scientific/Engineering

# More information about requirements
[options]
# Python version required
python_requires = >=3.10

# Other packages required (eg numpy, pandas, ...)
# Do NOT list packages from the Python Standard Library
#    https://docs.python.org/3.10/library/index.html
install_requires =
    numpy
    matplotlib

# Which packages to include: tell packaging mechanism to search in src
package_dir =
    = src
packages = find:

# Scripts to also include in distribution package
scripts =
    examples/rv_demo.py
    examples/rv_demo_two_sim_intervals.py
    examples/rv_movie.py

# Tell package-finding mechanism where to search
[options.packages.find]
where = src

# Tell our PEP8 checker that we allow 100 character lines
[flake8]
max-line-length = 100

# Other configuration information could follow here